patch for i18n in engines

A patch for supporting i18n in Engines:
http://rails.lighthouseapp.com/projects/8994-ruby-on-rails/tickets/2325-i18n-support-for-engines